# Redirects

## GET /redirects/

> This method returns details about a specific redirect URLs, including its ID, the old URL path, the new redirected path, and the associated site ID.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedRedirectList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/Redirect"},"type":"array"}},"type":"object"},"Redirect":{"properties":{"id":{"description":"Unique identifier for the record.","type":"integer"},"new_path":{"description":"The field defines the URL to which the redirection will be made.","maxLength":200,"type":"string"},"old_path":{"description":"The field defines the URL at which the redirection will occur.","maxLength":200,"type":"string"},"site":{"description":"The field defines the site ID required for the redirection.","type":"integer"}},"type":"object"}}},"paths":{"/redirects/":{"get":{"description":"This method returns details about a specific redirect URLs, including its ID, the old URL path, the new redirected path, and the associated site ID.","operationId":"redirects_list","parameters":[{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `new_path` used to filter results based on specific conditions.","in":"query","name":"new_path","schema":{"type":"string"}},{"description":"Query parameter `old_path` used to filter results based on specific conditions.","in":"query","name":"old_path","schema":{"type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `site` used to filter results based on specific conditions.","in":"query","name":"site","schema":{"type":"integer"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedRedirectList"}}},"description":"Successful response for status code 200."}},"tags":["redirects"]}}}}
```

## GET /redirects/{id}/

> This method returns details about a specific redirect URLs, including its ID, the old URL path, the new redirected path, and the associated site ID. This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"Redirect":{"properties":{"id":{"description":"Unique identifier for the record.","type":"integer"},"new_path":{"description":"The field defines the URL to which the redirection will be made.","maxLength":200,"type":"string"},"old_path":{"description":"The field defines the URL at which the redirection will occur.","maxLength":200,"type":"string"},"site":{"description":"The field defines the site ID required for the redirection.","type":"integer"}},"type":"object"}}},"paths":{"/redirects/{id}/":{"get":{"description":"This method returns details about a specific redirect URLs, including its ID, the old URL path, the new redirected path, and the associated site ID. This endpoint retrieves a specific record by its unique identifier.","operationId":"redirects_retrieve","parameters":[{"description":"A unique integer value identifying this yönlendirme.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Redirect"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["redirects"]}}}}
```
